<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Class Members - Enumerator</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>Always
: <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1ac9dcaeb20b4d9ca94227ab3f6878ae0a">Catch::ShowDurations</a>
</li>
<li>Auto
: <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1a15ae4b6fc168cb49a577b958239ec68a">Catch::UseColour</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>BeforeExit
: <a class="el" href="structCatch_1_1WaitForKeypress.html#a2e8c4369d0a605d64e3e83b5af3399baacbbeaab666e49112d304173e4461d350">Catch::WaitForKeypress</a>
</li>
<li>BeforeStart
: <a class="el" href="structCatch_1_1WaitForKeypress.html#a2e8c4369d0a605d64e3e83b5af3399baa0a77a81962c38c4f32792d7af4cd6493">Catch::WaitForKeypress</a>
</li>
<li>BeforeStartAndExit
: <a class="el" href="structCatch_1_1WaitForKeypress.html#a2e8c4369d0a605d64e3e83b5af3399baa12d703bdb53cebdb1d1c142ab1748bf0">Catch::WaitForKeypress</a>
</li>
<li>Benchmark
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacae6ba6dbc74514cd4948a0e25a0fbc385">Catch::TestCaseInfo</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>ContinueOnFailure
: <a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8a5adbb8bdfe4bf14bf37cb297d8b18b64">Catch::ResultDisposition</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>DefaultForReporter
: <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1a499ae4cb7799d1abb626152b73e448cc">Catch::ShowDurations</a>
</li>
<li>DidntThrowException
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa982f9c220de9fb76881da3bbf22b1a85">Catch::ResultWas</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>Exception
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa94b8ecf31cd791e2e4ddc46f25e3aaf4">Catch::ResultWas</a>
</li>
<li>ExplicitFailure
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa0c08e9a7cc2a689bfb86ca3a6cfc6444">Catch::ResultWas</a>
</li>
<li>ExpressionFailed
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7062ac2bdea77a68bac4675c4315570">Catch::ResultWas</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>FailureBit
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efadbb05c8a5a093c8ca0926c22ba34a6cc">Catch::ResultWas</a>
</li>
<li>FalseTest
: <a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8ad9f2da3df9d8bad526ee088d5db6271a">Catch::ResultDisposition</a>
</li>
<li>FatalErrorCondition
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efac7f0c2afadf75d1d24bf8729ebd32cee">Catch::ResultWas</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>InDeclarationOrder
: <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5da2d560e5cdf23ef60d728a816e9b01c61">Catch::RunTests</a>
</li>
<li>Info
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efae8d83c08b4e070286dd95134ad2152bb">Catch::ResultWas</a>
</li>
<li>InLexicographicalOrder
: <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5dac438de570b4c707baf342d6ac0bd1dea">Catch::RunTests</a>
</li>
<li>InRandomOrder
: <a class="el" href="structCatch_1_1RunTests.html#ab56bd851b1dd085869992d1a9d73dc5dab754fd982840d872056f23bf139cfc27">Catch::RunTests</a>
</li>
<li>IsHidden
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacac27cbd760db71505824dd7719290a969">Catch::TestCaseInfo</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>MayFail
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca2d04dc77b313ffb4e4b895402b3cde29">Catch::TestCaseInfo</a>
</li>
</ul>


<h3><a id="index_n"></a>- n -</h3><ul>
<li>Never
: <a class="el" href="structCatch_1_1ShowDurations.html#a82fa0174554187220c1eda175f122ee1afc4d0bcc3cfc91c312329d4a53fbf906">Catch::ShowDurations</a>
, <a class="el" href="structCatch_1_1WaitForKeypress.html#a2e8c4369d0a605d64e3e83b5af3399baade2e4a722e5c78bb0d1d3871c4a491ee">Catch::WaitForKeypress</a>
</li>
<li>No
: <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aaeabe15dea2b2d0ea0847e88a9b2a99eb">Catch::CaseSensitive</a>
, <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1a3f3c3fbda04d356297ed9b3a46cf900c">Catch::UseColour</a>
</li>
<li>NoAssertions
: <a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a04bcb5104bbb5aeb7f74ee59868289da">Catch::WarnAbout</a>
</li>
<li>None
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca6e805f98eae8301ae5526a275df490fb">Catch::TestCaseInfo</a>
</li>
<li>NonPortable
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacacc2f8f941b5a8d96c72624a68b638b95">Catch::TestCaseInfo</a>
</li>
<li>Normal
: <a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8a3758aaf4ec26097b5fdfcc3fbfc76e46">Catch::ResultDisposition</a>
</li>
<li>NoTests
: <a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3acca5dc9e6d4240d98a441b8177d3ab97">Catch::WarnAbout</a>
</li>
<li>Nothing
: <a class="el" href="structCatch_1_1WarnAbout.html#ae3dde70ef78d700ea896eb29314e0fa3a19bca4df5e1b0f209a3292f3aa44b81e">Catch::WarnAbout</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>Ok
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efacff2783ae5a0ec92d7907d55233aa695">Catch::ResultWas</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>ShouldFail
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eacaa4451fac45fcdee64153db50ea61891b">Catch::TestCaseInfo</a>
</li>
<li>SuppressFail
: <a class="el" href="structCatch_1_1ResultDisposition.html#a3396cad6e2259af326b3aae93e23e9d8ac6212775ec7a943e9c49e451f5ff5467">Catch::ResultDisposition</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>ThrewException
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa765782e127faff9d9796388edb4d7fcd">Catch::ResultWas</a>
</li>
<li>Throws
: <a class="el" href="structCatch_1_1TestCaseInfo.html#a39b232f74b4a7a6f2183b96759027eaca3b622b3aff2ffed960f471864af7e149">Catch::TestCaseInfo</a>
</li>
</ul>


<h3><a id="index_u"></a>- u -</h3><ul>
<li>Unknown
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa18b7bfef24524824dc1acf3ff5bccd9e">Catch::ResultWas</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>Warning
: <a class="el" href="structCatch_1_1ResultWas.html#a624e1ee3661fcf6094ceef1f654601efa22806493991ee90456cfbd973ae8d1ab">Catch::ResultWas</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>Yes
: <a class="el" href="structCatch_1_1CaseSensitive.html#aad49d3aee2d97066642fffa919685c6aa0b895efea11374090c2ff086bf15df8e">Catch::CaseSensitive</a>
, <a class="el" href="structCatch_1_1UseColour.html#a6aa78da0c2de7539bb9e3757e204a3f1a4c36d3a8b6c495b85ba6c4ca519e7fc3">Catch::UseColour</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
